class Hash

  # Swap the values of a pair of keys in place.
  #
  #   {:a=>1,:b=>2}.swap!  #=> {:a=>2,:b=>1}
  #
  def swap!( key1, key2 )
    tmp = self[key1]
    self[key1] = self[key2]
    self[key2] = tmp
    self
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCHash < Test::Unit::TestCase

    def test_swap!
      h = { :a=>1, :b=>2 }
      assert_equal( { :a=>2, :b=>1 }, h.swap!(:a, :b) )
    end

  end

=end
